svn commit: r411521 - in head/graphics/s2tc: . files
David Naylor
dbn at FreeBSD.org
Sun Mar 20 21:30:29 UTC 2016
Author: dbn
Date: Sun Mar 20 21:30:27 2016
New Revision: 411521
URL: https://svnweb.freebsd.org/changeset/ports/411521
Log:
graphics/s2tc: update to latest GIT commit.
The upstream code has been in slow development since the last official
release, however there does not appear to be new release coming.
Added:
head/graphics/s2tc/files/patch-tests_test.sh (contents, props changed)
Deleted:
head/graphics/s2tc/files/patch-Makefile.am
Modified:
head/graphics/s2tc/Makefile
head/graphics/s2tc/distinfo
head/graphics/s2tc/pkg-plist
Modified: head/graphics/s2tc/Makefile
==============================================================================
--- head/graphics/s2tc/Makefile Sun Mar 20 20:45:17 2016 (r411520)
+++ head/graphics/s2tc/Makefile Sun Mar 20 21:30:27 2016 (r411521)
@@ -2,25 +2,33 @@
# $FreeBSD$
PORTNAME= s2tc
-PORTVERSION= 1.0
-DISTVERSIONPREFIX= v
+PORTVERSION= 1.0+20151228
CATEGORIES= graphics
MAINTAINER= dbn at FreeBSD.org
-COMMENT= S2TC is a subset of a wellknown texture compression scheme
+COMMENT= Subset of a well-known texture compression scheme
LICENSE= MIT
LICENSE_FILE= ${WRKSRC}/COPYING
-USES= autoreconf libtool
-USE_GL= gl
+BUILD_DEPENDS= libGL>=9.1.7:${PORTSDIR}/graphics/libGL
+TEST_DEPENDS= convert:${PORTSDIR}/graphics/ImageMagick \
+ nvcompress:${PORTSDIR}/graphics/nvidia-texture-tools \
+ wget:${PORTSDIR}/ftp/wget
+
+USES= autoreconf libtool pathfix
USE_GITHUB= yes
+USE_LDCONFIG= yes
GH_ACCOUNT= divVerent
+GH_TAGNAME= f6ec862
GNU_CONFIGURE= yes
INSTALL_TARGET= install-strip
+PATHFIX_MAKEFILEIN=Makefile.am
CPPFLAGS+= -I${LOCALBASE}/include
-LDFLAGS+= -L${LOCALBASE}/lib
+
+do-test:
+ (cd ${WRKSRC}/tests; ${SETENV} use_external=false use_nvcompress=true ${SH} test.sh)
.include <bsd.port.mk>
Modified: head/graphics/s2tc/distinfo
==============================================================================
--- head/graphics/s2tc/distinfo Sun Mar 20 20:45:17 2016 (r411520)
+++ head/graphics/s2tc/distinfo Sun Mar 20 21:30:27 2016 (r411521)
@@ -1,2 +1,2 @@
-SHA256 (divVerent-s2tc-v1.0_GH0.tar.gz) = a21c5babd3810af4f7d4e8099e830f545b4e5f5dc0aadf375ed09d23566c6e45
-SIZE (divVerent-s2tc-v1.0_GH0.tar.gz) = 1397232
+SHA256 (divVerent-s2tc-1.0+20151228-f6ec862_GH0.tar.gz) = 5785b81e2254e08f810ddb26acc5c6fd39631f94e9993fc0ee5807d802a2d4cb
+SIZE (divVerent-s2tc-1.0+20151228-f6ec862_GH0.tar.gz) = 1398883
Added: head/graphics/s2tc/files/patch-tests_test.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ head/graphics/s2tc/files/patch-tests_test.sh Sun Mar 20 21:30:27 2016 (r411521)
@@ -0,0 +1,66 @@
+--- tests/test.sh.orig 2015-12-27 22:40:35 UTC
++++ tests/test.sh
+@@ -5,14 +5,6 @@ set -e
+ exec 4>&1
+ exec 1>&2
+
+-cd ..
+-make clean || true
+-sh autogen.sh
+-./configure --prefix="`pwd`/tests" --enable-shared --disable-static "$@"
+-make
+-make install
+-cd tests
+-
+ rm -rf html
+ rm -f *.dds
+ mkdir html
+@@ -143,10 +135,9 @@ html_end()
+
+ timing()
+ {
+- t0=`date +%s%N`
+- "$@"
+- t1=`date +%s%N`
+- deltatime_raw=`echo "$t1 - $t0" | bc`
++ /usr/bin/time -p -o timing.log "$@"
++ t=`cat timing.log | head -n 1 | cut -f 2 -d ' '`
++ deltatime_raw=`echo "$t * 1000000000" | bc`
+ deltatime=`echo "scale=3; $deltatime_raw / 1000000000" | bc -l`
+ deltatime=" ($deltatime seconds)"
+ }
+@@ -197,7 +188,7 @@ xon textures/facility114x/misc/lift02.tg
+ # sunset: GPLv2+
+ xon env/distant_sunset/distant_sunset_rt.jpg sunset.tga
+
+-export LD_LIBRARY_PATH="$PWD/lib"
++export LD_LIBRARY_PATH="$PWD/../.libs"
+ for i in dxtfail floor_tread01_norm fract001 base_concrete1a disabled lift02 sunset noise noise_solid supernova; do
+ html_rowstart "$i"
+
+@@ -228,21 +219,21 @@ for i in dxtfail floor_tread01_norm frac
+ if $use_nvcompress; then
+ timing nvcompress $nvopts "$i".tga "$i"-nvcompress.dds
+ html "$i"-nvcompress.dds
+- timing bin/s2tc_from_s3tc -i "$i"-nvcompress.dds -o "$i"-nvcompress-s2tc.dds
++ timing ../s2tc_from_s3tc -i "$i"-nvcompress.dds -o "$i"-nvcompress-s2tc.dds
+ html "$i"-nvcompress-s2tc.dds
+ fi
+
+ S2TC_DITHER_MODE=FLOYDSTEINBERG S2TC_COLORDIST_MODE=$goodmetric S2TC_RANDOM_COLORS=32 S2TC_REFINE_COLORS=LOOP \
+- t "$i".tga "$i"-rand32-mrgb-l.dds bin/s2tc_compress -t $fourcc
++ t "$i".tga "$i"-rand32-mrgb-l.dds ../s2tc_compress -t $fourcc
+ if $use_libtxc_dxtn; then
+ t "$i".tga "$i"-libtxc_dxtn.dds bin/s2tc_compress -t $fourcc -l /usr/lib/libtxc_dxtn.so
+ timing bin/s2tc_from_s3tc -i "$i"-libtxc_dxtn.dds -o "$i"-libtxc_dxtn-s2tc.dds
+ html "$i"-libtxc_dxtn-s2tc.dds
+ fi
+ S2TC_DITHER_MODE=SIMPLE S2TC_COLORDIST_MODE=WAVG S2TC_RANDOM_COLORS=-1 S2TC_REFINE_COLORS=ALWAYS \
+- t "$i".tga "$i"-faster-wavg-r.dds bin/s2tc_compress -t $fourcc
++ t "$i".tga "$i"-faster-wavg-r.dds ../s2tc_compress -t $fourcc
+ S2TC_DITHER_MODE=SIMPLE S2TC_COLORDIST_MODE=WAVG S2TC_RANDOM_COLORS=-1 S2TC_REFINE_COLORS=LOOP \
+- t "$i".tga "$i"-faster-wavg-l.dds bin/s2tc_compress -t $fourcc
++ t "$i".tga "$i"-faster-wavg-l.dds ../s2tc_compress -t $fourcc
+
+ html_rowend
+ done
Modified: head/graphics/s2tc/pkg-plist
==============================================================================
--- head/graphics/s2tc/pkg-plist Sun Mar 20 20:45:17 2016 (r411520)
+++ head/graphics/s2tc/pkg-plist Sun Mar 20 21:30:27 2016 (r411521)
@@ -4,6 +4,7 @@ bin/s2tc_from_s3tc
include/txc_dxtn.h
lib/libtxc_dxtn.a
lib/libtxc_dxtn.so
-lib/libtxc_dxtn.so.0
-lib/libtxc_dxtn.so.0.0.0
-lib/pkgconfig/txc_dxtn.pc
+libdata/pkgconfig/txc_dxtn.pc
+man/man1/s2tc_compress.1.gz
+man/man1/s2tc_decompress.1.gz
+man/man1/s2tc_from_s3tc.1.gz
More information about the svn-ports-head
mailing list